com.independentsoft.exchange

## Class Category

- java.lang.Object
- - com.independentsoft.exchange.Category

-     public class Category
      extends java.lang.Object

  The Class Category.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Category()` Instantiates a new category.
    `Category(java.lang.String name)` Instantiates a new category.
    `Category(java.lang.String name, CategoryColor color)` Instantiates a new category.
    `Category(java.lang.String name, CategoryColor color, KeyboardShortcut keyboardShortcut)` Instantiates a new category.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CategoryColor` | `getColor()` Gets the color.
    `java.lang.String` | `getGuid()` Gets the guid.
    `KeyboardShortcut` | `getKeyboardShortcut()` Gets the keyboard shortcut.
    `int` | `getLastSessionUsed()` Gets the last session used.
    `java.util.Date` | `getLastTimeUsed()` Gets the last time used.
    `java.util.Date` | `getLastTimeUsedCalendar()` Gets the last time used calendar.
    `java.util.Date` | `getLastTimeUsedContacts()` Gets the last time used contacts.
    `java.util.Date` | `getLastTimeUsedJournal()` Gets the last time used journal.
    `java.util.Date` | `getLastTimeUsedMail()` Gets the last time used mail.
    `java.util.Date` | `getLastTimeUsedNotes()` Gets the last time used notes.
    `java.util.Date` | `getLastTimeUsedTasks()` Gets the last time used tasks.
    `java.lang.String` | `getName()` Gets the name.
    `boolean` | `getRenameOnFirstUse()` Gets the rename on first use.
    `int` | `getUsageCount()` Gets the usage count.
    `void` | `setColor(CategoryColor color)` Sets the color.
    `void` | `setGuid(java.lang.String guid)` Sets the guid.
    `void` | `setKeyboardShortcut(KeyboardShortcut keyboardShortcut)` Sets the keyboard shortcut.
    `void` | `setLastSessionUsed(int lastSessionUsed)` Sets the last session used.
    `void` | `setLastTimeUsed(java.util.Date lastTimeUsed)` Sets the last time used.
    `void` | `setLastTimeUsedCalendar(java.util.Date lastTimeUsedCalendar)` Sets the last time used calendar.
    `void` | `setLastTimeUsedContacts(java.util.Date lastTimeUsedContacts)` Sets the last time used contacts.
    `void` | `setLastTimeUsedJournal(java.util.Date lastTimeUsedJournal)` Sets the last time used journal.
    `void` | `setLastTimeUsedMail(java.util.Date lastTimeUsedMail)` Sets the last time used mail.
    `void` | `setLastTimeUsedNotes(java.util.Date lastTimeUsedNotes)` Sets the last time used notes.
    `void` | `setLastTimeUsedTasks(java.util.Date lastTimeUsedTasks)` Sets the last time used tasks.
    `void` | `setName(java.lang.String name)` Sets the name.
    `void` | `setRenameOnFirstUse(boolean renameOnFirstUse)` Sets the rename on first use.
    `void` | `setUsageCount(int usageCount)` Sets the usage count.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Category

          public Category()

      Instantiates a new category.

    - #### Category

          public Category(java.lang.String name)

      Instantiates a new category.
      Parameters:
        `name` - the name

    - #### Category

          public Category(java.lang.String name,
                          CategoryColor color)

      Instantiates a new category.
      Parameters:
        `name` - the name
        `color` - the color

    - #### Category

          public Category(java.lang.String name,
                          CategoryColor color,
                          KeyboardShortcut keyboardShortcut)

      Instantiates a new category.
      Parameters:
        `name` - the name
        `color` - the color
        `keyboardShortcut` - the keyboard shortcut

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name.
      Parameters:
        `name` - the new name

    - #### getColor

          public CategoryColor getColor()

      Gets the color.
      Returns:
        the color

    - #### setColor

          public void setColor(CategoryColor color)

      Sets the color.
      Parameters:
        `color` - the new color

    - #### getKeyboardShortcut

          public KeyboardShortcut getKeyboardShortcut()

      Gets the keyboard shortcut.
      Returns:
        the keyboard shortcut

    - #### setKeyboardShortcut

          public void setKeyboardShortcut(KeyboardShortcut keyboardShortcut)

      Sets the keyboard shortcut.
      Parameters:
        `keyboardShortcut` - the new keyboard shortcut

    - #### getUsageCount

          public int getUsageCount()

      Gets the usage count.
      Returns:
        the usage count

    - #### setUsageCount

          public void setUsageCount(int usageCount)

      Sets the usage count.
      Parameters:
        `usageCount` - the new usage count

    - #### getLastTimeUsedNotes

          public java.util.Date getLastTimeUsedNotes()

      Gets the last time used notes.
      Returns:
        the last time used notes

    - #### setLastTimeUsedNotes

          public void setLastTimeUsedNotes(java.util.Date lastTimeUsedNotes)

      Sets the last time used notes.
      Parameters:
        `lastTimeUsedNotes` - the new last time used notes

    - #### getLastTimeUsedJournal

          public java.util.Date getLastTimeUsedJournal()

      Gets the last time used journal.
      Returns:
        the last time used journal

    - #### setLastTimeUsedJournal

          public void setLastTimeUsedJournal(java.util.Date lastTimeUsedJournal)

      Sets the last time used journal.
      Parameters:
        `lastTimeUsedJournal` - the new last time used journal

    - #### getLastTimeUsedContacts

          public java.util.Date getLastTimeUsedContacts()

      Gets the last time used contacts.
      Returns:
        the last time used contacts

    - #### setLastTimeUsedContacts

          public void setLastTimeUsedContacts(java.util.Date lastTimeUsedContacts)

      Sets the last time used contacts.
      Parameters:
        `lastTimeUsedContacts` - the new last time used contacts

    - #### getLastTimeUsedTasks

          public java.util.Date getLastTimeUsedTasks()

      Gets the last time used tasks.
      Returns:
        the last time used tasks

    - #### setLastTimeUsedTasks

          public void setLastTimeUsedTasks(java.util.Date lastTimeUsedTasks)

      Sets the last time used tasks.
      Parameters:
        `lastTimeUsedTasks` - the new last time used tasks

    - #### getLastTimeUsedCalendar

          public java.util.Date getLastTimeUsedCalendar()

      Gets the last time used calendar.
      Returns:
        the last time used calendar

    - #### setLastTimeUsedCalendar

          public void setLastTimeUsedCalendar(java.util.Date lastTimeUsedCalendar)

      Sets the last time used calendar.
      Parameters:
        `lastTimeUsedCalendar` - the new last time used calendar

    - #### getLastTimeUsedMail

          public java.util.Date getLastTimeUsedMail()

      Gets the last time used mail.
      Returns:
        the last time used mail

    - #### setLastTimeUsedMail

          public void setLastTimeUsedMail(java.util.Date lastTimeUsedMail)

      Sets the last time used mail.
      Parameters:
        `lastTimeUsedMail` - the new last time used mail

    - #### getLastTimeUsed

          public java.util.Date getLastTimeUsed()

      Gets the last time used.
      Returns:
        the last time used

    - #### setLastTimeUsed

          public void setLastTimeUsed(java.util.Date lastTimeUsed)

      Sets the last time used.
      Parameters:
        `lastTimeUsed` - the new last time used

    - #### getLastSessionUsed

          public int getLastSessionUsed()

      Gets the last session used.
      Returns:
        the last session used

    - #### setLastSessionUsed

          public void setLastSessionUsed(int lastSessionUsed)

      Sets the last session used.
      Parameters:
        `lastSessionUsed` - the new last session used

    - #### getGuid

          public java.lang.String getGuid()

      Gets the guid.
      Returns:
        the guid

    - #### setGuid

          public void setGuid(java.lang.String guid)

      Sets the guid.
      Parameters:
        `guid` - the new guid

    - #### getRenameOnFirstUse

          public boolean getRenameOnFirstUse()

      Gets the rename on first use.
      Returns:
        the rename on first use

    - #### setRenameOnFirstUse

          public void setRenameOnFirstUse(boolean renameOnFirstUse)

      Sets the rename on first use.
      Parameters:
        `renameOnFirstUse` - the new rename on first use